<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="pl">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.7"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Robomap: Dokumentacja przestrzeni nazw QCP</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">Robomap<span id="projectnumber">&#160;0.1</span>
   </div>
   <div id="projectbrief">RM</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.9.7 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',false,false,'search.php','Szukaj');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('namespace_q_c_p.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#enum-members">Wyliczenia</a> &#124;
<a href="#func-members">Funkcje</a> &#124;
<a href="#var-members">Zmienne</a>  </div>
  <div class="headertitle"><div class="title">Dokumentacja przestrzeni nazw QCP</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="enum-members" name="enum-members"></a>
Wyliczenia</h2></td></tr>
<tr class="memitem:a715d46153da230990aa887d0f0602452"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespace_q_c_p.html#a715d46153da230990aa887d0f0602452">ResolutionUnit</a> { <a class="el" href="namespace_q_c_p.html#a715d46153da230990aa887d0f0602452a707d005dea5c4ab694e4270d9c6094e8">ruDotsPerMeter</a>
, <a class="el" href="namespace_q_c_p.html#a715d46153da230990aa887d0f0602452a4224e01f49b331489ad8cb12b619b229">ruDotsPerCentimeter</a>
, <a class="el" href="namespace_q_c_p.html#a715d46153da230990aa887d0f0602452affb887d8efe79c39a1aca2acd7002afc">ruDotsPerInch</a>
 }</td></tr>
<tr class="separator:a715d46153da230990aa887d0f0602452"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a17844f19e1019693a953e1eb93536d2f"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespace_q_c_p.html#a17844f19e1019693a953e1eb93536d2f">ExportPen</a> { <a class="el" href="namespace_q_c_p.html#a17844f19e1019693a953e1eb93536d2faae8fcfaafee234ce18558afef83f6a78">epNoCosmetic</a>
, <a class="el" href="namespace_q_c_p.html#a17844f19e1019693a953e1eb93536d2fa50d3657dba3fb90560b93a823cb0a6e8">epAllowCosmetic</a>
 }</td></tr>
<tr class="separator:a17844f19e1019693a953e1eb93536d2f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afd50e7cf431af385614987d8553ff8a9"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespace_q_c_p.html#afd50e7cf431af385614987d8553ff8a9">SignDomain</a> { <a class="el" href="namespace_q_c_p.html#afd50e7cf431af385614987d8553ff8a9a2d18af0bc58f6528d1e82ce699fe4829">sdNegative</a>
, <a class="el" href="namespace_q_c_p.html#afd50e7cf431af385614987d8553ff8a9aa38352ef02d51ddfa4399d9551566e24">sdBoth</a>
, <a class="el" href="namespace_q_c_p.html#afd50e7cf431af385614987d8553ff8a9a584784b75fb816abcc627cf743bb699f">sdPositive</a>
 }</td></tr>
<tr class="separator:afd50e7cf431af385614987d8553ff8a9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7e487e3e2ccb62ab7771065bab7cae54"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespace_q_c_p.html#a7e487e3e2ccb62ab7771065bab7cae54">MarginSide</a> { <br />
&#160;&#160;<a class="el" href="namespace_q_c_p.html#a7e487e3e2ccb62ab7771065bab7cae54a9500c8bfcc9e80b9dff0a8e00e867f07">msLeft</a> = 0x01
, <a class="el" href="namespace_q_c_p.html#a7e487e3e2ccb62ab7771065bab7cae54a93c719593bb2b94ed244d52c86d83b65">msRight</a> = 0x02
, <a class="el" href="namespace_q_c_p.html#a7e487e3e2ccb62ab7771065bab7cae54a5db8fb0d0b0ecf0d611c2602a348e8a0">msTop</a> = 0x04
, <a class="el" href="namespace_q_c_p.html#a7e487e3e2ccb62ab7771065bab7cae54a5241d8eac2bab9524a38889f576179cc">msBottom</a> = 0x08
, <br />
&#160;&#160;<a class="el" href="namespace_q_c_p.html#a7e487e3e2ccb62ab7771065bab7cae54a43d7361cb0c5244eabdc962021bffebc">msAll</a> = 0xFF
, <a class="el" href="namespace_q_c_p.html#a7e487e3e2ccb62ab7771065bab7cae54a80aa4149f16dabd538f8b2e3d42c42d5">msNone</a> = 0x00
<br />
 }</td></tr>
<tr class="separator:a7e487e3e2ccb62ab7771065bab7cae54"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae55dbe315d41fe80f29ba88100843a0c"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespace_q_c_p.html#ae55dbe315d41fe80f29ba88100843a0c">AntialiasedElement</a> { <br />
&#160;&#160;<a class="el" href="namespace_q_c_p.html#ae55dbe315d41fe80f29ba88100843a0caefa92e89cd37f8a081fd2075aa1af73f">aeAxes</a> = 0x0001
, <a class="el" href="namespace_q_c_p.html#ae55dbe315d41fe80f29ba88100843a0ca4fbb37118d62288af0ca601ff2b07a2f">aeGrid</a> = 0x0002
, <a class="el" href="namespace_q_c_p.html#ae55dbe315d41fe80f29ba88100843a0caaedf83369188a15a69f92bb1d85ca97b">aeSubGrid</a> = 0x0004
, <a class="el" href="namespace_q_c_p.html#ae55dbe315d41fe80f29ba88100843a0ca9e0127a6361b5d0596b031a482c5cf97">aeLegend</a> = 0x0008
, <br />
&#160;&#160;<a class="el" href="namespace_q_c_p.html#ae55dbe315d41fe80f29ba88100843a0ca1aca7a50c1b95403958733a4acafe773">aeLegendItems</a> = 0x0010
, <a class="el" href="namespace_q_c_p.html#ae55dbe315d41fe80f29ba88100843a0ca4145e4251b0cf2dbedabeea0a38f84f6">aePlottables</a> = 0x0020
, <a class="el" href="namespace_q_c_p.html#ae55dbe315d41fe80f29ba88100843a0caf7712a85d6b0c75b24301d2fe9484db3">aeItems</a> = 0x0040
, <a class="el" href="namespace_q_c_p.html#ae55dbe315d41fe80f29ba88100843a0cae45ed8cd167bffe27d7f40da4bc17e9c">aeScatters</a> = 0x0080
, <br />
&#160;&#160;<a class="el" href="namespace_q_c_p.html#ae55dbe315d41fe80f29ba88100843a0ca788810f0aa930137de6ad6cc6d83d354">aeFills</a> = 0x0100
, <a class="el" href="namespace_q_c_p.html#ae55dbe315d41fe80f29ba88100843a0ca261f8ea78cf3c9561726223ffa33dc12">aeZeroLine</a> = 0x0200
, <a class="el" href="namespace_q_c_p.html#ae55dbe315d41fe80f29ba88100843a0ca51dfdad36b2907277ae1221b09936441">aeOther</a> = 0x8000
, <a class="el" href="namespace_q_c_p.html#ae55dbe315d41fe80f29ba88100843a0caa897c232a0ffc8368e7c100ffc59ef31">aeAll</a> = 0xFFFF
, <br />
&#160;&#160;<a class="el" href="namespace_q_c_p.html#ae55dbe315d41fe80f29ba88100843a0caa9e90d81896358757d94275aeaa58f6a">aeNone</a> = 0x0000
<br />
 }</td></tr>
<tr class="separator:ae55dbe315d41fe80f29ba88100843a0c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5400e5fcb9528d92002ddb938c1f4ef4"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespace_q_c_p.html#a5400e5fcb9528d92002ddb938c1f4ef4">PlottingHint</a> { <a class="el" href="namespace_q_c_p.html#a5400e5fcb9528d92002ddb938c1f4ef4ab7283c5bfc1ba9e597015389880bda42">phNone</a> = 0x000
, <a class="el" href="namespace_q_c_p.html#a5400e5fcb9528d92002ddb938c1f4ef4aa5fd227bc878c56ad2a87ea32c74ee4d">phFastPolylines</a> = 0x001
, <a class="el" href="namespace_q_c_p.html#a5400e5fcb9528d92002ddb938c1f4ef4a30840fba10eebfa519a92cf5c3d32870">phImmediateRefresh</a> = 0x002
, <a class="el" href="namespace_q_c_p.html#a5400e5fcb9528d92002ddb938c1f4ef4a8e9cfe5ee0c5cd36dd7accf9739aff65">phCacheLabels</a> = 0x004
 }</td></tr>
<tr class="separator:a5400e5fcb9528d92002ddb938c1f4ef4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2ad6bb6281c7c2d593d4277b44c2b037"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespace_q_c_p.html#a2ad6bb6281c7c2d593d4277b44c2b037">Interaction</a> { <br />
&#160;&#160;<a class="el" href="namespace_q_c_p.html#a2ad6bb6281c7c2d593d4277b44c2b037a9acac96048a12b0d2b5396c9b4df768b">iNone</a> = 0x000
, <a class="el" href="namespace_q_c_p.html#a2ad6bb6281c7c2d593d4277b44c2b037a2c4432b9aceafb94000be8d1b589ef18">iRangeDrag</a> = 0x001
, <a class="el" href="namespace_q_c_p.html#a2ad6bb6281c7c2d593d4277b44c2b037abee1e94353525a636aeaf0ba32b72e14">iRangeZoom</a> = 0x002
, <a class="el" href="namespace_q_c_p.html#a2ad6bb6281c7c2d593d4277b44c2b037aef673112c5067c3cf4cfddb62da7265d">iMultiSelect</a> = 0x004
, <br />
&#160;&#160;<a class="el" href="namespace_q_c_p.html#a2ad6bb6281c7c2d593d4277b44c2b037a67148c8227b4155eca49135fc274c7ec">iSelectPlottables</a> = 0x008
, <a class="el" href="namespace_q_c_p.html#a2ad6bb6281c7c2d593d4277b44c2b037ad6644ac55bef621645326e9dd7469caa">iSelectAxes</a> = 0x010
, <a class="el" href="namespace_q_c_p.html#a2ad6bb6281c7c2d593d4277b44c2b037a269c9af298e257d1108edec0432b5513">iSelectLegend</a> = 0x020
, <a class="el" href="namespace_q_c_p.html#a2ad6bb6281c7c2d593d4277b44c2b037aea2f7c105d674e76d9b187b02ef29260">iSelectItems</a> = 0x040
, <br />
&#160;&#160;<a class="el" href="namespace_q_c_p.html#a2ad6bb6281c7c2d593d4277b44c2b037af67a50bc26147a13b551b3a625374949">iSelectOther</a> = 0x080
, <a class="el" href="namespace_q_c_p.html#a2ad6bb6281c7c2d593d4277b44c2b037ac8eec3d1e6c3eadf6af60968906db8db">iSelectPlottablesBeyondAxisRect</a> = 0x100
<br />
 }</td></tr>
<tr class="separator:a2ad6bb6281c7c2d593d4277b44c2b037"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac9aa4d6d81ac76b094f9af9ad2d3aacf"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespace_q_c_p.html#ac9aa4d6d81ac76b094f9af9ad2d3aacf">SelectionRectMode</a> { <a class="el" href="namespace_q_c_p.html#ac9aa4d6d81ac76b094f9af9ad2d3aacfa9032f170490d67240a6c68c2638ffab1">srmNone</a>
, <a class="el" href="namespace_q_c_p.html#ac9aa4d6d81ac76b094f9af9ad2d3aacfa739c260bf4d9a15f73423c91158b9428">srmZoom</a>
, <a class="el" href="namespace_q_c_p.html#ac9aa4d6d81ac76b094f9af9ad2d3aacfa62c286e8da283a0cbb88ecac2f3f7506">srmSelect</a>
, <a class="el" href="namespace_q_c_p.html#ac9aa4d6d81ac76b094f9af9ad2d3aacfa15e7a00c8e7e0673c7b31d75266888d4">srmCustom</a>
 }</td></tr>
<tr class="separator:ac9aa4d6d81ac76b094f9af9ad2d3aacf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac6cb9db26a564b27feda362a438db038"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespace_q_c_p.html#ac6cb9db26a564b27feda362a438db038">SelectionType</a> { <br />
&#160;&#160;<a class="el" href="namespace_q_c_p.html#ac6cb9db26a564b27feda362a438db038aa64628e338a2dd1e6f0dc84dec0b63fe">stNone</a>
, <a class="el" href="namespace_q_c_p.html#ac6cb9db26a564b27feda362a438db038aff7a688d4d520e8e7f01be098a034a2d">stWhole</a>
, <a class="el" href="namespace_q_c_p.html#ac6cb9db26a564b27feda362a438db038ae5b11259c42962db355e7448f4a8633a">stSingleData</a>
, <a class="el" href="namespace_q_c_p.html#ac6cb9db26a564b27feda362a438db038aa05d2cba99c724df004d9c48971e4371">stDataRange</a>
, <br />
&#160;&#160;<a class="el" href="namespace_q_c_p.html#ac6cb9db26a564b27feda362a438db038a7cf82676966ebf79cc371f65278e0e16">stMultipleDataRanges</a>
<br />
 }</td></tr>
<tr class="separator:ac6cb9db26a564b27feda362a438db038"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Funkcje</h2></td></tr>
<tr class="memitem:a07ab701c05329089f933b9cae2638a63"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespace_q_c_p.html#a07ab701c05329089f933b9cae2638a63">isInvalidData</a> (double value)</td></tr>
<tr class="separator:a07ab701c05329089f933b9cae2638a63"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a728903e5c3dd17847bee280f4005496f"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespace_q_c_p.html#a728903e5c3dd17847bee280f4005496f">isInvalidData</a> (double value1, double value2)</td></tr>
<tr class="separator:a728903e5c3dd17847bee280f4005496f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afbf6e3084c108f2bb4372107945ee82f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespace_q_c_p.html#afbf6e3084c108f2bb4372107945ee82f">setMarginValue</a> (QMargins &amp;margins, <a class="el" href="namespace_q_c_p.html#a7e487e3e2ccb62ab7771065bab7cae54">QCP::MarginSide</a> side, int value)</td></tr>
<tr class="separator:afbf6e3084c108f2bb4372107945ee82f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a23a2679d3495c444acc26acc61e35b5b"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespace_q_c_p.html#a23a2679d3495c444acc26acc61e35b5b">getMarginValue</a> (const QMargins &amp;margins, <a class="el" href="namespace_q_c_p.html#a7e487e3e2ccb62ab7771065bab7cae54">QCP::MarginSide</a> side)</td></tr>
<tr class="separator:a23a2679d3495c444acc26acc61e35b5b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="var-members" name="var-members"></a>
Zmienne</h2></td></tr>
<tr class="memitem:a07ffa1eb1537a3b1f218ff2a442b2017"><td class="memItemLeft" align="right" valign="top">const QMetaObject&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespace_q_c_p.html#a07ffa1eb1537a3b1f218ff2a442b2017">staticMetaObject</a></td></tr>
<tr class="separator:a07ffa1eb1537a3b1f218ff2a442b2017"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Opis szczegółowy</h2>
<div class="textblock"><p>The <a class="el" href="namespace_q_c_p.html">QCP</a> Namespace contains general enums, QFlags and functions used throughout the <a class="el" href="class_q_custom_plot.html" title="The central class of the library. This is the QWidget which displays the plot and interacts with the ...">QCustomPlot</a> library.</p>
<p>It provides QMetaObject-based reflection of its enums and flags via <em><a class="el" href="namespace_q_c_p.html#a07ffa1eb1537a3b1f218ff2a442b2017">QCP::staticMetaObject</a></em>. </p>
</div><h2 class="groupheader">Dokumentacja typów wyliczanych</h2>
<a id="a715d46153da230990aa887d0f0602452" name="a715d46153da230990aa887d0f0602452"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a715d46153da230990aa887d0f0602452">&#9670;&#160;</a></span>ResolutionUnit</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="namespace_q_c_p.html#a715d46153da230990aa887d0f0602452">QCP::ResolutionUnit</a></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Defines the different units in which the image resolution can be specified in the export functions.</p>
<dl class="section see"><dt>Zobacz również</dt><dd><a class="el" href="class_q_custom_plot.html#ac92cc9256d12f354b40a4be4600b5fb9">QCustomPlot::savePng</a>, <a class="el" href="class_q_custom_plot.html#a76f0d278e630a711fa6f48048cfd83e4">QCustomPlot::saveJpg</a>, <a class="el" href="class_q_custom_plot.html#ae3a86ed0795670e50afa21759d4fa13d">QCustomPlot::saveBmp</a>, <a class="el" href="class_q_custom_plot.html#ad7723ce2edfa270632ef42b03a444352">QCustomPlot::saveRastered</a> </dd></dl>
<table class="fieldtable">
<tr><th colspan="2">Wartości wyliczeń</th></tr><tr><td class="fieldname"><a id="a715d46153da230990aa887d0f0602452a707d005dea5c4ab694e4270d9c6094e8" name="a715d46153da230990aa887d0f0602452a707d005dea5c4ab694e4270d9c6094e8"></a>ruDotsPerMeter&#160;</td><td class="fielddoc"><p>Resolution is given in dots per meter (dpm) </p>
</td></tr>
<tr><td class="fieldname"><a id="a715d46153da230990aa887d0f0602452a4224e01f49b331489ad8cb12b619b229" name="a715d46153da230990aa887d0f0602452a4224e01f49b331489ad8cb12b619b229"></a>ruDotsPerCentimeter&#160;</td><td class="fielddoc"><p>Resolution is given in dots per centimeter (dpcm) </p>
</td></tr>
<tr><td class="fieldname"><a id="a715d46153da230990aa887d0f0602452affb887d8efe79c39a1aca2acd7002afc" name="a715d46153da230990aa887d0f0602452affb887d8efe79c39a1aca2acd7002afc"></a>ruDotsPerInch&#160;</td><td class="fielddoc"><p>Resolution is given in dots per inch (DPI/PPI) </p>
</td></tr>
</table>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l00195">195</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="a17844f19e1019693a953e1eb93536d2f" name="a17844f19e1019693a953e1eb93536d2f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a17844f19e1019693a953e1eb93536d2f">&#9670;&#160;</a></span>ExportPen</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="namespace_q_c_p.html#a17844f19e1019693a953e1eb93536d2f">QCP::ExportPen</a></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Defines how cosmetic pens (pens with numerical width 0) are handled during export.</p>
<dl class="section see"><dt>Zobacz również</dt><dd><a class="el" href="class_q_custom_plot.html#ad5acd34f6b39c3516887d7e54fec2412">QCustomPlot::savePdf</a> </dd></dl>
<table class="fieldtable">
<tr><th colspan="2">Wartości wyliczeń</th></tr><tr><td class="fieldname"><a id="a17844f19e1019693a953e1eb93536d2faae8fcfaafee234ce18558afef83f6a78" name="a17844f19e1019693a953e1eb93536d2faae8fcfaafee234ce18558afef83f6a78"></a>epNoCosmetic&#160;</td><td class="fielddoc"><p>Cosmetic pens are converted to pens with pixel width 1 when exporting. </p>
</td></tr>
<tr><td class="fieldname"><a id="a17844f19e1019693a953e1eb93536d2fa50d3657dba3fb90560b93a823cb0a6e8" name="a17844f19e1019693a953e1eb93536d2fa50d3657dba3fb90560b93a823cb0a6e8"></a>epAllowCosmetic&#160;</td><td class="fielddoc"><p>Cosmetic pens are exported normally (e.g. in PDF exports, cosmetic pens always appear as 1 pixel on screen, independent of viewer zoom level) </p>
</td></tr>
</table>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l00205">205</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="afd50e7cf431af385614987d8553ff8a9" name="afd50e7cf431af385614987d8553ff8a9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afd50e7cf431af385614987d8553ff8a9">&#9670;&#160;</a></span>SignDomain</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="namespace_q_c_p.html#afd50e7cf431af385614987d8553ff8a9">QCP::SignDomain</a></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Represents negative and positive sign domain, e.g. for passing to <a class="el" href="class_q_c_p_abstract_plottable.html#a4da16d3cd4b509e1104a9b0275623c96">QCPAbstractPlottable::getKeyRange</a> and <a class="el" href="class_q_c_p_abstract_plottable.html#a4de773988b21ed090fddd27c6a3a3dcb">QCPAbstractPlottable::getValueRange</a>.</p>
<p>This is primarily needed when working with logarithmic axis scales, since only one of the sign domains can be visible at a time. </p>
<table class="fieldtable">
<tr><th colspan="2">Wartości wyliczeń</th></tr><tr><td class="fieldname"><a id="afd50e7cf431af385614987d8553ff8a9a2d18af0bc58f6528d1e82ce699fe4829" name="afd50e7cf431af385614987d8553ff8a9a2d18af0bc58f6528d1e82ce699fe4829"></a>sdNegative&#160;</td><td class="fielddoc"><p>The negative sign domain, i.e. numbers smaller than zero. </p>
</td></tr>
<tr><td class="fieldname"><a id="afd50e7cf431af385614987d8553ff8a9aa38352ef02d51ddfa4399d9551566e24" name="afd50e7cf431af385614987d8553ff8a9aa38352ef02d51ddfa4399d9551566e24"></a>sdBoth&#160;</td><td class="fielddoc"><p>Both sign domains, including zero, i.e. all numbers. </p>
</td></tr>
<tr><td class="fieldname"><a id="afd50e7cf431af385614987d8553ff8a9a584784b75fb816abcc627cf743bb699f" name="afd50e7cf431af385614987d8553ff8a9a584784b75fb816abcc627cf743bb699f"></a>sdPositive&#160;</td><td class="fielddoc"><p>The positive sign domain, i.e. numbers greater than zero. </p>
</td></tr>
</table>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l00216">216</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="a7e487e3e2ccb62ab7771065bab7cae54" name="a7e487e3e2ccb62ab7771065bab7cae54"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7e487e3e2ccb62ab7771065bab7cae54">&#9670;&#160;</a></span>MarginSide</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="namespace_q_c_p.html#a7e487e3e2ccb62ab7771065bab7cae54">QCP::MarginSide</a></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Defines the sides of a rectangular entity to which margins can be applied.</p>
<dl class="section see"><dt>Zobacz również</dt><dd><a class="el" href="class_q_c_p_layout_element.html#accfda49994e3e6d51ed14504abf9d27d">QCPLayoutElement::setAutoMargins</a>, <a class="el" href="class_q_c_p_layout_element.html#accfda49994e3e6d51ed14504abf9d27d">QCPAxisRect::setAutoMargins</a> </dd></dl>
<table class="fieldtable">
<tr><th colspan="2">Wartości wyliczeń</th></tr><tr><td class="fieldname"><a id="a7e487e3e2ccb62ab7771065bab7cae54a9500c8bfcc9e80b9dff0a8e00e867f07" name="a7e487e3e2ccb62ab7771065bab7cae54a9500c8bfcc9e80b9dff0a8e00e867f07"></a>msLeft&#160;</td><td class="fielddoc"><p><code>0x01</code> left margin </p>
</td></tr>
<tr><td class="fieldname"><a id="a7e487e3e2ccb62ab7771065bab7cae54a93c719593bb2b94ed244d52c86d83b65" name="a7e487e3e2ccb62ab7771065bab7cae54a93c719593bb2b94ed244d52c86d83b65"></a>msRight&#160;</td><td class="fielddoc"><p><code>0x02</code> right margin </p>
</td></tr>
<tr><td class="fieldname"><a id="a7e487e3e2ccb62ab7771065bab7cae54a5db8fb0d0b0ecf0d611c2602a348e8a0" name="a7e487e3e2ccb62ab7771065bab7cae54a5db8fb0d0b0ecf0d611c2602a348e8a0"></a>msTop&#160;</td><td class="fielddoc"><p><code>0x04</code> top margin </p>
</td></tr>
<tr><td class="fieldname"><a id="a7e487e3e2ccb62ab7771065bab7cae54a5241d8eac2bab9524a38889f576179cc" name="a7e487e3e2ccb62ab7771065bab7cae54a5241d8eac2bab9524a38889f576179cc"></a>msBottom&#160;</td><td class="fielddoc"><p><code>0x08</code> bottom margin </p>
</td></tr>
<tr><td class="fieldname"><a id="a7e487e3e2ccb62ab7771065bab7cae54a43d7361cb0c5244eabdc962021bffebc" name="a7e487e3e2ccb62ab7771065bab7cae54a43d7361cb0c5244eabdc962021bffebc"></a>msAll&#160;</td><td class="fielddoc"><p><code>0xFF</code> all margins </p>
</td></tr>
<tr><td class="fieldname"><a id="a7e487e3e2ccb62ab7771065bab7cae54a80aa4149f16dabd538f8b2e3d42c42d5" name="a7e487e3e2ccb62ab7771065bab7cae54a80aa4149f16dabd538f8b2e3d42c42d5"></a>msNone&#160;</td><td class="fielddoc"><p><code>0x00</code> no margin </p>
</td></tr>
</table>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l00226">226</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="ae55dbe315d41fe80f29ba88100843a0c" name="ae55dbe315d41fe80f29ba88100843a0c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae55dbe315d41fe80f29ba88100843a0c">&#9670;&#160;</a></span>AntialiasedElement</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="namespace_q_c_p.html#ae55dbe315d41fe80f29ba88100843a0c">QCP::AntialiasedElement</a></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Defines what objects of a plot can be forcibly drawn antialiased/not antialiased. If an object is neither forcibly drawn antialiased nor forcibly drawn not antialiased, it is up to the respective element how it is drawn. Typically it provides a <em>setAntialiased</em> function for this.</p>
<p><code>AntialiasedElements</code> is a flag of or-combined elements of this enum type.</p>
<dl class="section see"><dt>Zobacz również</dt><dd><a class="el" href="class_q_custom_plot.html#af6f91e5eab1be85f67c556e98c3745e8">QCustomPlot::setAntialiasedElements</a>, <a class="el" href="class_q_custom_plot.html#ae10d685b5eabea2999fb8775ca173c24">QCustomPlot::setNotAntialiasedElements</a> </dd></dl>
<table class="fieldtable">
<tr><th colspan="2">Wartości wyliczeń</th></tr><tr><td class="fieldname"><a id="ae55dbe315d41fe80f29ba88100843a0caefa92e89cd37f8a081fd2075aa1af73f" name="ae55dbe315d41fe80f29ba88100843a0caefa92e89cd37f8a081fd2075aa1af73f"></a>aeAxes&#160;</td><td class="fielddoc"><p><code>0x0001</code> Axis base line and tick marks </p>
</td></tr>
<tr><td class="fieldname"><a id="ae55dbe315d41fe80f29ba88100843a0ca4fbb37118d62288af0ca601ff2b07a2f" name="ae55dbe315d41fe80f29ba88100843a0ca4fbb37118d62288af0ca601ff2b07a2f"></a>aeGrid&#160;</td><td class="fielddoc"><p><code>0x0002</code> Grid lines </p>
</td></tr>
<tr><td class="fieldname"><a id="ae55dbe315d41fe80f29ba88100843a0caaedf83369188a15a69f92bb1d85ca97b" name="ae55dbe315d41fe80f29ba88100843a0caaedf83369188a15a69f92bb1d85ca97b"></a>aeSubGrid&#160;</td><td class="fielddoc"><p><code>0x0004</code> Sub grid lines </p>
</td></tr>
<tr><td class="fieldname"><a id="ae55dbe315d41fe80f29ba88100843a0ca9e0127a6361b5d0596b031a482c5cf97" name="ae55dbe315d41fe80f29ba88100843a0ca9e0127a6361b5d0596b031a482c5cf97"></a>aeLegend&#160;</td><td class="fielddoc"><p><code>0x0008</code> Legend box </p>
</td></tr>
<tr><td class="fieldname"><a id="ae55dbe315d41fe80f29ba88100843a0ca1aca7a50c1b95403958733a4acafe773" name="ae55dbe315d41fe80f29ba88100843a0ca1aca7a50c1b95403958733a4acafe773"></a>aeLegendItems&#160;</td><td class="fielddoc"><p><code>0x0010</code> Legend items </p>
</td></tr>
<tr><td class="fieldname"><a id="ae55dbe315d41fe80f29ba88100843a0ca4145e4251b0cf2dbedabeea0a38f84f6" name="ae55dbe315d41fe80f29ba88100843a0ca4145e4251b0cf2dbedabeea0a38f84f6"></a>aePlottables&#160;</td><td class="fielddoc"><p><code>0x0020</code> Main lines of plottables </p>
</td></tr>
<tr><td class="fieldname"><a id="ae55dbe315d41fe80f29ba88100843a0caf7712a85d6b0c75b24301d2fe9484db3" name="ae55dbe315d41fe80f29ba88100843a0caf7712a85d6b0c75b24301d2fe9484db3"></a>aeItems&#160;</td><td class="fielddoc"><p><code>0x0040</code> Main lines of items </p>
</td></tr>
<tr><td class="fieldname"><a id="ae55dbe315d41fe80f29ba88100843a0cae45ed8cd167bffe27d7f40da4bc17e9c" name="ae55dbe315d41fe80f29ba88100843a0cae45ed8cd167bffe27d7f40da4bc17e9c"></a>aeScatters&#160;</td><td class="fielddoc"><p><code>0x0080</code> Scatter symbols of plottables (excluding scatter symbols of type ssPixmap) </p>
</td></tr>
<tr><td class="fieldname"><a id="ae55dbe315d41fe80f29ba88100843a0ca788810f0aa930137de6ad6cc6d83d354" name="ae55dbe315d41fe80f29ba88100843a0ca788810f0aa930137de6ad6cc6d83d354"></a>aeFills&#160;</td><td class="fielddoc"><p><code>0x0100</code> Borders of fills (e.g. under or between graphs) </p>
</td></tr>
<tr><td class="fieldname"><a id="ae55dbe315d41fe80f29ba88100843a0ca261f8ea78cf3c9561726223ffa33dc12" name="ae55dbe315d41fe80f29ba88100843a0ca261f8ea78cf3c9561726223ffa33dc12"></a>aeZeroLine&#160;</td><td class="fielddoc"><p><code>0x0200</code> Zero-lines, see <a class="el" href="class_q_c_p_grid.html#a209f40fdb252397b418b82d3494d8ea0">QCPGrid::setZeroLinePen</a> </p>
</td></tr>
<tr><td class="fieldname"><a id="ae55dbe315d41fe80f29ba88100843a0ca51dfdad36b2907277ae1221b09936441" name="ae55dbe315d41fe80f29ba88100843a0ca51dfdad36b2907277ae1221b09936441"></a>aeOther&#160;</td><td class="fielddoc"><p><code>0x8000</code> Other elements that don't fit into any of the existing categories </p>
</td></tr>
<tr><td class="fieldname"><a id="ae55dbe315d41fe80f29ba88100843a0caa897c232a0ffc8368e7c100ffc59ef31" name="ae55dbe315d41fe80f29ba88100843a0caa897c232a0ffc8368e7c100ffc59ef31"></a>aeAll&#160;</td><td class="fielddoc"><p><code>0xFFFF</code> All elements </p>
</td></tr>
<tr><td class="fieldname"><a id="ae55dbe315d41fe80f29ba88100843a0caa9e90d81896358757d94275aeaa58f6a" name="ae55dbe315d41fe80f29ba88100843a0caa9e90d81896358757d94275aeaa58f6a"></a>aeNone&#160;</td><td class="fielddoc"><p><code>0x0000</code> No elements </p>
</td></tr>
</table>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l00244">244</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="a5400e5fcb9528d92002ddb938c1f4ef4" name="a5400e5fcb9528d92002ddb938c1f4ef4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5400e5fcb9528d92002ddb938c1f4ef4">&#9670;&#160;</a></span>PlottingHint</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="namespace_q_c_p.html#a5400e5fcb9528d92002ddb938c1f4ef4">QCP::PlottingHint</a></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Defines plotting hints that control various aspects of the quality and speed of plotting.</p>
<dl class="section see"><dt>Zobacz również</dt><dd><a class="el" href="class_q_custom_plot.html#a94a33cbdadbbac5934843508bcfc210d">QCustomPlot::setPlottingHints</a> </dd></dl>
<table class="fieldtable">
<tr><th colspan="2">Wartości wyliczeń</th></tr><tr><td class="fieldname"><a id="a5400e5fcb9528d92002ddb938c1f4ef4ab7283c5bfc1ba9e597015389880bda42" name="a5400e5fcb9528d92002ddb938c1f4ef4ab7283c5bfc1ba9e597015389880bda42"></a>phNone&#160;</td><td class="fielddoc"><p><code>0x000</code> No hints are set </p>
</td></tr>
<tr><td class="fieldname"><a id="a5400e5fcb9528d92002ddb938c1f4ef4aa5fd227bc878c56ad2a87ea32c74ee4d" name="a5400e5fcb9528d92002ddb938c1f4ef4aa5fd227bc878c56ad2a87ea32c74ee4d"></a>phFastPolylines&#160;</td><td class="fielddoc"><p><code>0x001</code> Graph/Curve lines are drawn with a faster method. This reduces the quality especially of the line segment joins, thus is most effective for pen sizes larger than 1. It is only used for solid line pens. </p>
</td></tr>
<tr><td class="fieldname"><a id="a5400e5fcb9528d92002ddb938c1f4ef4a30840fba10eebfa519a92cf5c3d32870" name="a5400e5fcb9528d92002ddb938c1f4ef4a30840fba10eebfa519a92cf5c3d32870"></a>phImmediateRefresh&#160;</td><td class="fielddoc"><p><code>0x002</code> causes an immediate repaint() instead of a soft update() when <a class="el" href="class_q_custom_plot.html#aa4bfe7d70dbe67e81d877819b75ab9af">QCustomPlot::replot()</a> is called with parameter <a class="el" href="class_q_custom_plot.html#a45d61392d13042e712a956d27762aa39a49666a5854a68dbcca8b277b03331260">QCustomPlot::rpRefreshHint</a>. This is set by default to prevent the plot from freezing on fast consecutive replots (e.g. user drags ranges with mouse). </p>
</td></tr>
<tr><td class="fieldname"><a id="a5400e5fcb9528d92002ddb938c1f4ef4a8e9cfe5ee0c5cd36dd7accf9739aff65" name="a5400e5fcb9528d92002ddb938c1f4ef4a8e9cfe5ee0c5cd36dd7accf9739aff65"></a>phCacheLabels&#160;</td><td class="fielddoc"><p><code>0x004</code> axis (tick) labels will be cached as pixmaps, increasing replot performance. </p>
</td></tr>
</table>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l00265">265</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="a2ad6bb6281c7c2d593d4277b44c2b037" name="a2ad6bb6281c7c2d593d4277b44c2b037"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2ad6bb6281c7c2d593d4277b44c2b037">&#9670;&#160;</a></span>Interaction</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="namespace_q_c_p.html#a2ad6bb6281c7c2d593d4277b44c2b037">QCP::Interaction</a></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Defines the mouse interactions possible with <a class="el" href="class_q_custom_plot.html" title="The central class of the library. This is the QWidget which displays the plot and interacts with the ...">QCustomPlot</a>.</p>
<p><code>Interactions</code> is a flag of or-combined elements of this enum type.</p>
<dl class="section see"><dt>Zobacz również</dt><dd><a class="el" href="class_q_custom_plot.html#a5ee1e2f6ae27419deca53e75907c27e5">QCustomPlot::setInteractions</a> </dd></dl>
<table class="fieldtable">
<tr><th colspan="2">Wartości wyliczeń</th></tr><tr><td class="fieldname"><a id="a2ad6bb6281c7c2d593d4277b44c2b037a9acac96048a12b0d2b5396c9b4df768b" name="a2ad6bb6281c7c2d593d4277b44c2b037a9acac96048a12b0d2b5396c9b4df768b"></a>iNone&#160;</td><td class="fielddoc"><p><code>0x000</code> None of the interactions are possible </p>
</td></tr>
<tr><td class="fieldname"><a id="a2ad6bb6281c7c2d593d4277b44c2b037a2c4432b9aceafb94000be8d1b589ef18" name="a2ad6bb6281c7c2d593d4277b44c2b037a2c4432b9aceafb94000be8d1b589ef18"></a>iRangeDrag&#160;</td><td class="fielddoc"><p><code>0x001</code> Axis ranges are draggable (see <a class="el" href="class_q_c_p_axis_rect.html#ae6aef2f7211ba6097c925dcd26008418">QCPAxisRect::setRangeDrag</a>, <a class="el" href="class_q_c_p_axis_rect.html#a648cce336bd99daac4a5ca3e5743775d">QCPAxisRect::setRangeDragAxes</a>) </p>
</td></tr>
<tr><td class="fieldname"><a id="a2ad6bb6281c7c2d593d4277b44c2b037abee1e94353525a636aeaf0ba32b72e14" name="a2ad6bb6281c7c2d593d4277b44c2b037abee1e94353525a636aeaf0ba32b72e14"></a>iRangeZoom&#160;</td><td class="fielddoc"><p><code>0x002</code> Axis ranges are zoomable with the mouse wheel (see <a class="el" href="class_q_c_p_axis_rect.html#a7960a9d222f1c31d558b064b60f86a31">QCPAxisRect::setRangeZoom</a>, <a class="el" href="class_q_c_p_axis_rect.html#a9442cca2aa358405f39a64d51eca13d2">QCPAxisRect::setRangeZoomAxes</a>) </p>
</td></tr>
<tr><td class="fieldname"><a id="a2ad6bb6281c7c2d593d4277b44c2b037aef673112c5067c3cf4cfddb62da7265d" name="a2ad6bb6281c7c2d593d4277b44c2b037aef673112c5067c3cf4cfddb62da7265d"></a>iMultiSelect&#160;</td><td class="fielddoc"><p><code>0x004</code> The user can select multiple objects by holding the modifier set by <a class="el" href="class_q_custom_plot.html#a8fc96e3b5138a06759a2a90c166df516">QCustomPlot::setMultiSelectModifier</a> while clicking </p>
</td></tr>
<tr><td class="fieldname"><a id="a2ad6bb6281c7c2d593d4277b44c2b037a67148c8227b4155eca49135fc274c7ec" name="a2ad6bb6281c7c2d593d4277b44c2b037a67148c8227b4155eca49135fc274c7ec"></a>iSelectPlottables&#160;</td><td class="fielddoc"><p><code>0x008</code> Plottables are selectable (e.g. graphs, curves, bars,... see <a class="el" href="class_q_c_p_abstract_plottable.html" title="The abstract base class for all data representing objects in a plot.">QCPAbstractPlottable</a>) </p>
</td></tr>
<tr><td class="fieldname"><a id="a2ad6bb6281c7c2d593d4277b44c2b037ad6644ac55bef621645326e9dd7469caa" name="a2ad6bb6281c7c2d593d4277b44c2b037ad6644ac55bef621645326e9dd7469caa"></a>iSelectAxes&#160;</td><td class="fielddoc"><p><code>0x010</code> Axes are selectable (or parts of them, see <a class="el" href="class_q_c_p_axis.html#a513f9b9e326c505d9bec54880031b085">QCPAxis::setSelectableParts</a>) </p>
</td></tr>
<tr><td class="fieldname"><a id="a2ad6bb6281c7c2d593d4277b44c2b037a269c9af298e257d1108edec0432b5513" name="a2ad6bb6281c7c2d593d4277b44c2b037a269c9af298e257d1108edec0432b5513"></a>iSelectLegend&#160;</td><td class="fielddoc"><p><code>0x020</code> Legends are selectable (or their child items, see <a class="el" href="class_q_c_p_legend.html#a9ce60aa8bbd89f62ae4fa83ac6c60110">QCPLegend::setSelectableParts</a>) </p>
</td></tr>
<tr><td class="fieldname"><a id="a2ad6bb6281c7c2d593d4277b44c2b037aea2f7c105d674e76d9b187b02ef29260" name="a2ad6bb6281c7c2d593d4277b44c2b037aea2f7c105d674e76d9b187b02ef29260"></a>iSelectItems&#160;</td><td class="fielddoc"><p><code>0x040</code> Items are selectable (Rectangles, Arrows, Textitems, etc. see <a class="el" href="class_q_c_p_abstract_item.html">QCPAbstractItem</a>) </p>
</td></tr>
<tr><td class="fieldname"><a id="a2ad6bb6281c7c2d593d4277b44c2b037af67a50bc26147a13b551b3a625374949" name="a2ad6bb6281c7c2d593d4277b44c2b037af67a50bc26147a13b551b3a625374949"></a>iSelectOther&#160;</td><td class="fielddoc"><p><code>0x080</code> All other objects are selectable (e.g. your own derived layerables, other layout elements,...) </p>
</td></tr>
<tr><td class="fieldname"><a id="a2ad6bb6281c7c2d593d4277b44c2b037ac8eec3d1e6c3eadf6af60968906db8db" name="a2ad6bb6281c7c2d593d4277b44c2b037ac8eec3d1e6c3eadf6af60968906db8db"></a>iSelectPlottablesBeyondAxisRect&#160;</td><td class="fielddoc"><p><code>0x100</code> When performing plottable selection/hit tests, this flag extends the sensitive area beyond the axis rect </p>
</td></tr>
</table>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l00281">281</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="ac9aa4d6d81ac76b094f9af9ad2d3aacf" name="ac9aa4d6d81ac76b094f9af9ad2d3aacf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac9aa4d6d81ac76b094f9af9ad2d3aacf">&#9670;&#160;</a></span>SelectionRectMode</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="namespace_q_c_p.html#ac9aa4d6d81ac76b094f9af9ad2d3aacf">QCP::SelectionRectMode</a></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Defines the behaviour of the selection rect.</p>
<dl class="section see"><dt>Zobacz również</dt><dd><a class="el" href="class_q_custom_plot.html#a810ef958ebe84db661c7288b526c0deb">QCustomPlot::setSelectionRectMode</a>, <a class="el" href="class_q_custom_plot.html#ad7df2bcbba307e644db383b449e31efd">QCustomPlot::selectionRect</a>, <a class="el" href="class_q_c_p_selection_rect.html" title="Provides rect/rubber-band data selection and range zoom interaction.">QCPSelectionRect</a> </dd></dl>
<table class="fieldtable">
<tr><th colspan="2">Wartości wyliczeń</th></tr><tr><td class="fieldname"><a id="ac9aa4d6d81ac76b094f9af9ad2d3aacfa9032f170490d67240a6c68c2638ffab1" name="ac9aa4d6d81ac76b094f9af9ad2d3aacfa9032f170490d67240a6c68c2638ffab1"></a>srmNone&#160;</td><td class="fielddoc"><p>The selection rect is disabled, and all mouse events are forwarded to the underlying objects, e.g. for axis range dragging. </p>
</td></tr>
<tr><td class="fieldname"><a id="ac9aa4d6d81ac76b094f9af9ad2d3aacfa739c260bf4d9a15f73423c91158b9428" name="ac9aa4d6d81ac76b094f9af9ad2d3aacfa739c260bf4d9a15f73423c91158b9428"></a>srmZoom&#160;</td><td class="fielddoc"><p>When dragging the mouse, a selection rect becomes active. Upon releasing, the axes that are currently set as range zoom axes (<a class="el" href="class_q_c_p_axis_rect.html#a9442cca2aa358405f39a64d51eca13d2">QCPAxisRect::setRangeZoomAxes</a>) will have their ranges zoomed accordingly. </p>
</td></tr>
<tr><td class="fieldname"><a id="ac9aa4d6d81ac76b094f9af9ad2d3aacfa62c286e8da283a0cbb88ecac2f3f7506" name="ac9aa4d6d81ac76b094f9af9ad2d3aacfa62c286e8da283a0cbb88ecac2f3f7506"></a>srmSelect&#160;</td><td class="fielddoc"><p>When dragging the mouse, a selection rect becomes active. Upon releasing, plottable data points that were within the selection rect are selected, if the plottable's selectability setting permits. (See data selection mechanism for details.) </p>
</td></tr>
<tr><td class="fieldname"><a id="ac9aa4d6d81ac76b094f9af9ad2d3aacfa15e7a00c8e7e0673c7b31d75266888d4" name="ac9aa4d6d81ac76b094f9af9ad2d3aacfa15e7a00c8e7e0673c7b31d75266888d4"></a>srmCustom&#160;</td><td class="fielddoc"><p>When dragging the mouse, a selection rect becomes active. It is the programmer's responsibility to connect according slots to the selection rect's signals (e.g. <a class="el" href="class_q_c_p_selection_rect.html#a15a43542e1f7b953a44c260b419e6d2c">QCPSelectionRect::accepted</a>) in order to process the user interaction. </p>
</td></tr>
</table>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l00299">299</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="ac6cb9db26a564b27feda362a438db038" name="ac6cb9db26a564b27feda362a438db038"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac6cb9db26a564b27feda362a438db038">&#9670;&#160;</a></span>SelectionType</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="namespace_q_c_p.html#ac6cb9db26a564b27feda362a438db038">QCP::SelectionType</a></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Defines the different ways a plottable can be selected. These images show the effect of the different selection types, when the indicated selection rect was dragged:</p>
<center> <table class="doxtable">
<tr>
<td><div class="image">
<img src="selectiontype-none.png" alt=""/>
<div class="caption">
stNone</div></div>
td </td><td><div class="image">
<img src="selectiontype-whole.png" alt=""/>
<div class="caption">
stWhole</div></div>
td </td><td><div class="image">
<img src="selectiontype-singledata.png" alt=""/>
<div class="caption">
stSingleData</div></div>
td </td><td><div class="image">
<img src="selectiontype-datarange.png" alt=""/>
<div class="caption">
stDataRange</div></div>
td </td><td><div class="image">
<img src="selectiontype-multipledataranges.png" alt=""/>
<div class="caption">
stMultipleDataRanges</div></div>
td  </td></tr>
</table>
</center><dl class="section see"><dt>Zobacz również</dt><dd><a class="el" href="class_q_c_p_abstract_plottable.html#ac238d6e910f976f1f30d41c2bca44ac3">QCPAbstractPlottable::setSelectable</a>, <a class="el" href="class_q_c_p_data_selection.html#a17b84d852911531d229f4a76aa239a75">QCPDataSelection::enforceType</a> </dd></dl>
<table class="fieldtable">
<tr><th colspan="2">Wartości wyliczeń</th></tr><tr><td class="fieldname"><a id="ac6cb9db26a564b27feda362a438db038aa64628e338a2dd1e6f0dc84dec0b63fe" name="ac6cb9db26a564b27feda362a438db038aa64628e338a2dd1e6f0dc84dec0b63fe"></a>stNone&#160;</td><td class="fielddoc"><p>The plottable is not selectable. </p>
</td></tr>
<tr><td class="fieldname"><a id="ac6cb9db26a564b27feda362a438db038aff7a688d4d520e8e7f01be098a034a2d" name="ac6cb9db26a564b27feda362a438db038aff7a688d4d520e8e7f01be098a034a2d"></a>stWhole&#160;</td><td class="fielddoc"><p>Selection behaves like <a class="el" href="namespace_q_c_p.html#ac6cb9db26a564b27feda362a438db038a7cf82676966ebf79cc371f65278e0e16">stMultipleDataRanges</a>, but if there are any data points selected, the entire plottable is drawn as selected. </p>
</td></tr>
<tr><td class="fieldname"><a id="ac6cb9db26a564b27feda362a438db038ae5b11259c42962db355e7448f4a8633a" name="ac6cb9db26a564b27feda362a438db038ae5b11259c42962db355e7448f4a8633a"></a>stSingleData&#160;</td><td class="fielddoc"><p>One individual data point can be selected at a time. </p>
</td></tr>
<tr><td class="fieldname"><a id="ac6cb9db26a564b27feda362a438db038aa05d2cba99c724df004d9c48971e4371" name="ac6cb9db26a564b27feda362a438db038aa05d2cba99c724df004d9c48971e4371"></a>stDataRange&#160;</td><td class="fielddoc"><p>Multiple contiguous data points (a data range) can be selected. </p>
</td></tr>
<tr><td class="fieldname"><a id="ac6cb9db26a564b27feda362a438db038a7cf82676966ebf79cc371f65278e0e16" name="ac6cb9db26a564b27feda362a438db038a7cf82676966ebf79cc371f65278e0e16"></a>stMultipleDataRanges&#160;</td><td class="fielddoc"><p>Any combination of data points/ranges can be selected. </p>
</td></tr>
</table>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l00323">323</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<h2 class="groupheader">Dokumentacja funkcji</h2>
<a id="a07ab701c05329089f933b9cae2638a63" name="a07ab701c05329089f933b9cae2638a63"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a07ab701c05329089f933b9cae2638a63">&#9670;&#160;</a></span>isInvalidData() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool QCP::isInvalidData </td>
          <td>(</td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l00336">336</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="namespace_q_c_p_a07ab701c05329089f933b9cae2638a63_icgraph.png" border="0" usemap="#anamespace_q_c_p_a07ab701c05329089f933b9cae2638a63_icgraph" alt=""/></div>
<map name="anamespace_q_c_p_a07ab701c05329089f933b9cae2638a63_icgraph" id="anamespace_q_c_p_a07ab701c05329089f933b9cae2638a63_icgraph">
<area shape="rect" title=" " alt="" coords="217,153,348,179"/>
<area shape="rect" href="class_q_c_p_polar_graph.html#a2a053fc53b7945cd2e3b93cef9cade9a" title=" " alt="" coords="13,5,162,31"/>
<area shape="poly" title=" " alt="" coords="264,143,224,93,197,67,168,44,145,33,147,28,171,40,201,63,228,89,268,140"/>
<area shape="rect" href="class_q_c_p_graph.html#a2b0849598f06e834b43ce18cd13bcdc3" title=" " alt="" coords="28,55,147,80"/>
<area shape="poly" title=" " alt="" coords="253,147,214,120,168,94,139,83,141,78,170,89,217,115,256,143"/>
<area shape="rect" href="class_q_c_p_curve.html#ac199d41d23865cd68bd7b598308a4433" title=" " alt="" coords="28,104,147,129"/>
<area shape="poly" title=" " alt="" coords="218,153,138,132,139,127,219,147"/>
<area shape="rect" href="class_q_c_p_bars.html#aa267c20650d55084c3f47cb2f8fac9dc" title=" " alt="" coords="32,153,143,179"/>
<area shape="poly" title=" " alt="" coords="203,169,143,169,143,163,203,163"/>
<area shape="rect" href="class_q_c_p_statistical_box.html#afcff35fa79728cfe10e80e0702014fea" title=" " alt="" coords="5,203,169,228"/>
<area shape="poly" title=" " alt="" coords="219,185,139,205,138,200,218,179"/>
<area shape="rect" href="class_q_c_p_error_bars.html#a801e85931372abf2a1034bfb2eac5cd2" title=" " alt="" coords="18,252,157,277"/>
<area shape="poly" title=" " alt="" coords="256,189,216,216,170,242,138,254,136,249,168,237,214,211,253,185"/>
<area shape="rect" href="namespace_q_c_p.html#a728903e5c3dd17847bee280f4005496f" title=" " alt="" coords="22,301,153,327"/>
<area shape="poly" title=" " alt="" coords="268,191,228,242,201,268,171,291,144,304,142,299,168,286,197,264,224,238,263,188"/>
</map>
</div>

</div>
</div>
<a id="a728903e5c3dd17847bee280f4005496f" name="a728903e5c3dd17847bee280f4005496f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a728903e5c3dd17847bee280f4005496f">&#9670;&#160;</a></span>isInvalidData() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool QCP::isInvalidData </td>
          <td>(</td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>value1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>value2</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l00346">346</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="namespace_q_c_p_a728903e5c3dd17847bee280f4005496f_cgraph.png" border="0" usemap="#anamespace_q_c_p_a728903e5c3dd17847bee280f4005496f_cgraph" alt=""/></div>
<map name="anamespace_q_c_p_a728903e5c3dd17847bee280f4005496f_cgraph" id="anamespace_q_c_p_a728903e5c3dd17847bee280f4005496f_cgraph">
<area shape="rect" title=" " alt="" coords="5,5,136,31"/>
<area shape="rect" href="namespace_q_c_p.html#a07ab701c05329089f933b9cae2638a63" title=" " alt="" coords="184,5,315,31"/>
<area shape="poly" title=" " alt="" coords="136,15,170,15,170,21,136,21"/>
</map>
</div>

</div>
</div>
<a id="afbf6e3084c108f2bb4372107945ee82f" name="afbf6e3084c108f2bb4372107945ee82f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afbf6e3084c108f2bb4372107945ee82f">&#9670;&#160;</a></span>setMarginValue()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void QCP::setMarginValue </td>
          <td>(</td>
          <td class="paramtype">QMargins &amp;&#160;</td>
          <td class="paramname"><em>margins</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespace_q_c_p.html#a7e487e3e2ccb62ab7771065bab7cae54">QCP::MarginSide</a>&#160;</td>
          <td class="paramname"><em>side</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l00357">357</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="namespace_q_c_p_afbf6e3084c108f2bb4372107945ee82f_icgraph.png" border="0" usemap="#anamespace_q_c_p_afbf6e3084c108f2bb4372107945ee82f_icgraph" alt=""/></div>
<map name="anamespace_q_c_p_afbf6e3084c108f2bb4372107945ee82f_icgraph" id="anamespace_q_c_p_afbf6e3084c108f2bb4372107945ee82f_icgraph">
<area shape="rect" title=" " alt="" coords="1649,415,1796,440"/>
<area shape="rect" href="class_q_c_p_layout_element.html#a929c2ec62e0e0e1d8418eaa802e2af9b" title=" " alt="" coords="1420,415,1601,440"/>
<area shape="poly" title=" " alt="" coords="1636,430,1602,430,1602,425,1636,425"/>
<area shape="rect" href="class_q_c_p_layout.html#a48ecc9c98ea90b547c3e27a931a8f7bd" title=" " alt="" coords="1225,389,1360,415"/>
<area shape="poly" title=" " alt="" coords="1406,418,1360,412,1361,407,1407,413"/>
<area shape="rect" href="class_q_c_p_axis_rect.html#add049d464b9ef2ccdc638adc4ccb4aca" title=" " alt="" coords="1000,339,1147,364"/>
<area shape="poly" title=" " alt="" coords="1467,412,1422,395,1371,381,1254,363,1147,355,1147,350,1254,357,1373,375,1423,390,1469,407"/>
<area shape="rect" href="class_q_c_p_polar_axis_angular.html#a9f2dfb377cdf3ce22a451fa9d3ab47e6" title=" " alt="" coords="999,438,1148,478"/>
<area shape="poly" title=" " alt="" coords="1407,437,1148,455,1148,450,1406,432"/>
<area shape="rect" href="class_q_c_p_color_scale.html#a259dcb6d3053a2cc3c197e9b1191ddbe" title=" " alt="" coords="1213,491,1372,516"/>
<area shape="poly" title=" " alt="" coords="1461,447,1331,493,1329,488,1460,442"/>
<area shape="poly" title=" " alt="" coords="1223,389,1128,367,1130,361,1224,384"/>
<area shape="poly" title=" " alt="" coords="1230,421,1149,442,1148,436,1228,416"/>
<area shape="rect" href="class_q_custom_plot.html#a6e6693e2c249f65437382ffd93405e04" title=" " alt="" coords="981,388,1165,413"/>
<area shape="poly" title=" " alt="" coords="1212,404,1166,404,1166,399,1212,399"/>
<area shape="rect" href="class_q_custom_plot.html#ad7a7d878bf050f101a43008e7d8fdb52" title=" " alt="" coords="797,129,931,155"/>
<area shape="poly" title=" " alt="" coords="986,384,980,379,953,353,931,323,897,259,876,199,865,156,870,154,881,197,902,257,936,320,957,350,983,375,989,379"/>
<area shape="rect" href="class_q_custom_plot.html#aa4bfe7d70dbe67e81d877819b75ab9af" title=" " alt="" coords="795,623,933,648"/>
<area shape="poly" title=" " alt="" coords="993,422,983,428,959,450,939,476,906,532,884,584,871,623,866,621,879,583,901,529,934,473,955,447,980,424,990,417"/>
<area shape="rect" href="class_q_custom_plot.html#ad5acd34f6b39c3516887d7e54fec2412" title=" " alt="" coords="563,104,718,129"/>
<area shape="poly" title=" " alt="" coords="783,135,718,128,719,123,783,130"/>
<area shape="rect" href="class_q_custom_plot.html#a1be68d5c0f1e086d6374d1340a193fb9" title=" " alt="" coords="561,153,720,179"/>
<area shape="poly" title=" " alt="" coords="783,153,720,160,720,155,782,148"/>
<area shape="rect" href="class_q_custom_plot.html#aabb974d71ce96c137dc04eb6eab844fe" title=" " alt="" coords="561,55,721,80"/>
<area shape="poly" title=" " alt="" coords="824,126,746,94,705,83,707,77,748,89,826,121"/>
<area shape="rect" href="class_q_custom_plot.html#ad7723ce2edfa270632ef42b03a444352" title=" " alt="" coords="282,55,469,80"/>
<area shape="poly" title=" " alt="" coords="547,70,469,70,469,65,547,65"/>
<area shape="rect" href="class_q_custom_plot.html#ae3a86ed0795670e50afa21759d4fa13d" title=" " alt="" coords="30,104,191,129"/>
<area shape="poly" title=" " alt="" coords="294,85,180,107,179,101,293,80"/>
<area shape="rect" href="class_q_custom_plot.html#a76f0d278e630a711fa6f48048cfd83e4" title=" " alt="" coords="33,5,188,31"/>
<area shape="poly" title=" " alt="" coords="293,55,179,33,180,28,294,50"/>
<area shape="rect" href="class_q_custom_plot.html#ac92cc9256d12f354b40a4be4600b5fb9" title=" " alt="" coords="32,55,189,80"/>
<area shape="poly" title=" " alt="" coords="268,70,189,70,189,65,268,65"/>
<area shape="poly" title=" " alt="" coords="901,613,891,605,864,601,842,603,830,608,828,614,834,621,830,624,823,614,826,604,841,598,864,596,893,600,904,609"/>
<area shape="rect" href="class_q_c_p_axis.html#ac5a269609e6177737faabdc46434d8c7" title=" " alt="" coords="548,545,733,571"/>
<area shape="poly" title=" " alt="" coords="824,619,746,586,702,573,704,568,748,581,827,614"/>
<area shape="rect" href="class_q_c_p_axis_rect.html#a9cd27ad8c5cfb49aefd9dbb30def4beb" title=" " alt="" coords="535,595,747,620"/>
<area shape="poly" title=" " alt="" coords="781,628,741,623,742,617,781,622"/>
<area shape="rect" href="class_q_c_p_polar_axis_radial.html#acaaca448f4599cc4d8b4d6a35f61e1e6" title=" " alt="" coords="570,645,711,685"/>
<area shape="poly" title=" " alt="" coords="782,649,712,658,711,653,781,643"/>
<area shape="rect" href="class_q_c_p_polar_axis_angular.html#a5e2b49c56b57abc2ac2005e330ef1ee7" title=" " alt="" coords="566,709,715,749"/>
<area shape="poly" title=" " alt="" coords="831,657,748,699,715,711,713,706,746,694,829,653"/>
<area shape="rect" href="class_q_custom_plot.html#adc24846f52199e5a9bc35c387a6ce68d" title=" " alt="" coords="279,795,471,835"/>
<area shape="poly" title=" " alt="" coords="850,661,809,714,780,741,748,763,698,780,627,793,472,811,471,806,626,788,697,775,745,758,777,737,805,710,846,658"/>
<area shape="rect" href="class_q_custom_plot.html#a8068b368e5813065ee0f4cf7c6d21330" title=" " alt="" coords="557,888,724,913"/>
<area shape="poly" title=" " alt="" coords="860,662,848,709,827,767,794,827,773,854,748,877,726,891,723,886,745,873,769,850,790,824,822,765,843,707,855,661"/>
<area shape="rect" href="class_q_custom_plot.html#ac13c10fff6613e3e80e13c787b010838" title=" " alt="" coords="549,823,732,863"/>
<area shape="poly" title=" " alt="" coords="854,662,814,733,784,772,748,807,716,826,713,821,745,803,780,769,809,730,849,660"/>
<area shape="rect" href="class_q_custom_plot.html#ac10849411e1d0e858ea7f29c8ade364c" title=" " alt="" coords="286,977,465,1017"/>
<area shape="poly" title=" " alt="" coords="865,662,861,728,845,815,830,861,810,904,783,944,748,977,716,998,680,1012,643,1022,605,1027,530,1027,462,1019,463,1014,530,1022,604,1022,642,1016,679,1007,713,993,745,973,779,941,805,902,825,859,840,814,856,728,860,662"/>
<area shape="rect" href="class_q_custom_plot.html#a5508a207dcc279f316142f96d984bba3" title=" " alt="" coords="269,1041,481,1067"/>
<area shape="poly" title=" " alt="" coords="861,662,847,747,823,859,808,915,790,965,770,1005,748,1032,729,1043,703,1051,635,1061,558,1064,482,1063,482,1057,558,1059,635,1056,701,1046,727,1038,745,1028,766,1002,785,963,802,913,818,858,842,746,856,661"/>
<area shape="rect" href="class_q_custom_plot.html#a3c1c171f620ef0ea4ae3dbb2e6a0209a" title=" " alt="" coords="549,1089,733,1115"/>
<area shape="poly" title=" " alt="" coords="862,662,847,753,823,876,790,994,770,1040,749,1072,719,1092,716,1087,745,1068,765,1037,784,992,817,874,842,752,856,661"/>
<area shape="rect" href="class_q_c_p_layer.html#adefd53b6db02f470151c416f42e37180" title=" " alt="" coords="581,937,701,963"/>
<area shape="poly" title=" " alt="" coords="863,662,854,718,834,790,819,828,800,864,777,898,748,928,726,942,702,949,700,944,724,937,745,924,773,895,796,862,814,825,829,788,849,717,858,661"/>
<area shape="rect" href="class_q_custom_plot.html#af5b69dc6a431562ecdd1d0718bcbdf70" title=" " alt="" coords="554,203,727,228"/>
<area shape="poly" title=" " alt="" coords="861,609,858,536,843,437,828,384,808,333,780,284,745,243,726,230,729,226,748,239,785,281,813,330,833,383,848,436,863,536,866,609"/>
<area shape="rect" href="class_velocity_graph.html#a6f38fb49ed1209990c97f6753c35ed52" title="Aktualizuje dane na wykresie i przesuwa osie zgodnie z czasem." alt="" coords="549,253,733,293"/>
<area shape="poly" title=" " alt="" coords="858,609,851,548,832,467,818,424,799,382,774,343,745,308,727,295,730,291,748,304,779,339,803,379,823,422,837,465,856,547,864,609"/>
<area shape="rect" href="class_q_c_p_axis.html#aa850f195d7cc470c53809d0fff5e444d" title=" " alt="" coords="567,317,715,343"/>
<area shape="poly" title=" " alt="" coords="857,610,847,556,827,488,813,452,794,417,772,385,745,357,714,341,716,336,748,353,776,382,799,414,818,450,832,486,852,555,862,609"/>
<area shape="rect" href="class_q_c_p_axis_rect.html#a93eeaa0c127d6d6fe8171b2455080262" title=" " alt="" coords="553,367,728,392"/>
<area shape="poly" title=" " alt="" coords="855,610,842,566,820,510,789,454,768,429,745,407,724,394,727,390,748,403,772,425,793,451,825,508,847,564,860,609"/>
<area shape="rect" href="class_q_c_p_polar_axis_radial.html#ab495743f9f7412a109af0b0065a7b9ae" title=" " alt="" coords="570,417,711,457"/>
<area shape="poly" title=" " alt="" coords="849,611,810,541,780,503,745,471,710,453,713,448,748,466,784,500,814,538,854,609"/>
<area shape="rect" href="class_q_c_p_polar_axis_angular.html#a78f5d8c2c942fa1c47dcef5d96616e8d" title=" " alt="" coords="566,481,715,521"/>
<area shape="poly" title=" " alt="" coords="840,614,799,575,745,536,715,522,717,517,748,532,802,571,844,611"/>
<area shape="poly" title=" " alt="" coords="535,835,471,828,472,823,536,830"/>
<area shape="rect" href="class_q_custom_plot.html#a0c09f96df15faa4799ad7051bb16cf33" title=" " alt="" coords="8,984,213,1009"/>
<area shape="poly" title=" " alt="" coords="272,999,214,999,214,994,272,994"/>
<area shape="rect" href="class_q_custom_plot.html#a810ef958ebe84db661c7288b526c0deb" title=" " alt="" coords="21,1034,200,1074"/>
<area shape="poly" title=" " alt="" coords="273,1021,201,1037,200,1032,272,1016"/>
<area shape="poly" title=" " alt="" coords="302,1041,169,1012,171,1007,303,1036"/>
<area shape="poly" title=" " alt="" coords="256,1057,200,1057,200,1051,256,1051"/>
<area shape="poly" title=" " alt="" coords="568,965,465,984,464,978,567,960"/>
<area shape="rect" href="class_q_c_p_selection_rect.html#a95c3f1700be2a6d7bba0fe56ece5fbb1" title=" " alt="" coords="264,927,487,952"/>
<area shape="poly" title=" " alt="" coords="567,950,487,946,487,941,567,944"/>
<area shape="rect" href="class_q_custom_plot.html#ae7abdc93b26d2ad4632c1ab75ae5b46f" title=" " alt="" coords="5,927,216,952"/>
<area shape="poly" title=" " alt="" coords="250,942,216,942,216,937,250,937"/>
<area shape="rect" href="class_main_window.html#a29e2501ffde7ab9786bd5ab02f055550" title="Aktualizuje dane w każdym widgecie." alt="" coords="282,260,469,285"/>
<area shape="poly" title=" " alt="" coords="535,275,469,275,469,270,535,270"/>
<area shape="rect" href="class_main_window.html#ab956ae0fe06c20af5093977debac8047" title="Inicjalizuje obiekt klasy MainWindow." alt="" coords="23,260,199,285"/>
<area shape="poly" title=" " alt="" coords="269,275,199,275,199,270,269,270"/>
</map>
</div>

</div>
</div>
<a id="a23a2679d3495c444acc26acc61e35b5b" name="a23a2679d3495c444acc26acc61e35b5b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a23a2679d3495c444acc26acc61e35b5b">&#9670;&#160;</a></span>getMarginValue()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int QCP::getMarginValue </td>
          <td>(</td>
          <td class="paramtype">const QMargins &amp;&#160;</td>
          <td class="paramname"><em>margins</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespace_q_c_p.html#a7e487e3e2ccb62ab7771065bab7cae54">QCP::MarginSide</a>&#160;</td>
          <td class="paramname"><em>side</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l00377">377</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>
<div class="dynheader">
Oto graf wywoływań tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="namespace_q_c_p_a23a2679d3495c444acc26acc61e35b5b_icgraph.png" border="0" usemap="#anamespace_q_c_p_a23a2679d3495c444acc26acc61e35b5b_icgraph" alt=""/></div>
<map name="anamespace_q_c_p_a23a2679d3495c444acc26acc61e35b5b_icgraph" id="anamespace_q_c_p_a23a2679d3495c444acc26acc61e35b5b_icgraph">
<area shape="rect" title=" " alt="" coords="1929,388,2076,413"/>
<area shape="rect" href="class_q_c_p_layout_element.html#a005c9f0fe84bc1591a2cf2c46fd477b4" title=" " alt="" coords="1687,381,1881,421"/>
<area shape="poly" title=" " alt="" coords="1915,403,1881,403,1881,398,1915,398"/>
<area shape="rect" href="class_q_c_p_margin_group.html#aea6a00373b3a0305de56c34d2423ea99" title=" " alt="" coords="1420,361,1639,387"/>
<area shape="poly" title=" " alt="" coords="1950,386,1881,371,1819,366,1756,364,1639,367,1639,362,1756,358,1819,360,1882,366,1951,381"/>
<area shape="rect" href="class_q_c_p_layout_element.html#a929c2ec62e0e0e1d8418eaa802e2af9b" title=" " alt="" coords="1439,415,1620,440"/>
<area shape="poly" title=" " alt="" coords="1951,420,1882,435,1813,441,1744,443,1620,438,1620,433,1744,438,1813,436,1881,430,1950,415"/>
<area shape="poly" title=" " alt="" coords="1673,392,1638,388,1639,383,1673,386"/>
<area shape="poly" title=" " alt="" coords="1673,415,1621,420,1620,415,1673,410"/>
<area shape="rect" href="class_q_c_p_layout.html#a48ecc9c98ea90b547c3e27a931a8f7bd" title=" " alt="" coords="1225,389,1360,415"/>
<area shape="poly" title=" " alt="" coords="1425,419,1360,412,1360,407,1425,414"/>
<area shape="rect" href="class_q_c_p_axis_rect.html#add049d464b9ef2ccdc638adc4ccb4aca" title=" " alt="" coords="1000,339,1147,364"/>
<area shape="poly" title=" " alt="" coords="1457,414,1419,402,1395,390,1371,381,1313,368,1254,360,1147,354,1147,349,1254,355,1314,363,1373,375,1397,386,1421,397,1459,408"/>
<area shape="rect" href="class_q_c_p_polar_axis_angular.html#a9f2dfb377cdf3ce22a451fa9d3ab47e6" title=" " alt="" coords="999,438,1148,478"/>
<area shape="poly" title=" " alt="" coords="1425,437,1149,456,1148,450,1424,432"/>
<area shape="rect" href="class_q_c_p_color_scale.html#a259dcb6d3053a2cc3c197e9b1191ddbe" title=" " alt="" coords="1213,491,1372,516"/>
<area shape="poly" title=" " alt="" coords="1477,447,1334,493,1332,488,1475,442"/>
<area shape="poly" title=" " alt="" coords="1223,389,1128,367,1130,361,1224,384"/>
<area shape="poly" title=" " alt="" coords="1230,421,1149,442,1148,436,1228,416"/>
<area shape="rect" href="class_q_custom_plot.html#a6e6693e2c249f65437382ffd93405e04" title=" " alt="" coords="981,388,1165,413"/>
<area shape="poly" title=" " alt="" coords="1212,404,1166,404,1166,399,1212,399"/>
<area shape="rect" href="class_q_custom_plot.html#ad7a7d878bf050f101a43008e7d8fdb52" title=" " alt="" coords="797,129,931,155"/>
<area shape="poly" title=" " alt="" coords="986,384,980,379,953,353,931,323,897,259,876,199,865,156,870,154,881,197,902,257,936,320,957,350,983,375,989,379"/>
<area shape="rect" href="class_q_custom_plot.html#aa4bfe7d70dbe67e81d877819b75ab9af" title=" " alt="" coords="795,623,933,648"/>
<area shape="poly" title=" " alt="" coords="993,422,983,428,959,450,939,476,906,532,884,584,871,623,866,621,879,583,901,529,934,473,955,447,980,424,990,417"/>
<area shape="rect" href="class_q_custom_plot.html#ad5acd34f6b39c3516887d7e54fec2412" title=" " alt="" coords="563,104,718,129"/>
<area shape="poly" title=" " alt="" coords="783,135,718,128,719,123,783,130"/>
<area shape="rect" href="class_q_custom_plot.html#a1be68d5c0f1e086d6374d1340a193fb9" title=" " alt="" coords="561,153,720,179"/>
<area shape="poly" title=" " alt="" coords="783,153,720,160,720,155,782,148"/>
<area shape="rect" href="class_q_custom_plot.html#aabb974d71ce96c137dc04eb6eab844fe" title=" " alt="" coords="561,55,721,80"/>
<area shape="poly" title=" " alt="" coords="824,126,746,94,705,83,707,77,748,89,826,121"/>
<area shape="rect" href="class_q_custom_plot.html#ad7723ce2edfa270632ef42b03a444352" title=" " alt="" coords="282,55,469,80"/>
<area shape="poly" title=" " alt="" coords="547,70,469,70,469,65,547,65"/>
<area shape="rect" href="class_q_custom_plot.html#ae3a86ed0795670e50afa21759d4fa13d" title=" " alt="" coords="30,104,191,129"/>
<area shape="poly" title=" " alt="" coords="294,85,180,107,179,101,293,80"/>
<area shape="rect" href="class_q_custom_plot.html#a76f0d278e630a711fa6f48048cfd83e4" title=" " alt="" coords="33,5,188,31"/>
<area shape="poly" title=" " alt="" coords="293,55,179,33,180,28,294,50"/>
<area shape="rect" href="class_q_custom_plot.html#ac92cc9256d12f354b40a4be4600b5fb9" title=" " alt="" coords="32,55,189,80"/>
<area shape="poly" title=" " alt="" coords="268,70,189,70,189,65,268,65"/>
<area shape="poly" title=" " alt="" coords="901,613,891,605,864,601,842,603,830,608,828,614,834,621,830,624,823,614,826,604,841,598,864,596,893,600,904,609"/>
<area shape="rect" href="class_q_c_p_axis.html#ac5a269609e6177737faabdc46434d8c7" title=" " alt="" coords="548,545,733,571"/>
<area shape="poly" title=" " alt="" coords="824,619,746,586,702,573,704,568,748,581,827,614"/>
<area shape="rect" href="class_q_c_p_axis_rect.html#a9cd27ad8c5cfb49aefd9dbb30def4beb" title=" " alt="" coords="535,595,747,620"/>
<area shape="poly" title=" " alt="" coords="781,628,741,623,742,617,781,622"/>
<area shape="rect" href="class_q_c_p_polar_axis_radial.html#acaaca448f4599cc4d8b4d6a35f61e1e6" title=" " alt="" coords="570,645,711,685"/>
<area shape="poly" title=" " alt="" coords="782,649,712,658,711,653,781,643"/>
<area shape="rect" href="class_q_c_p_polar_axis_angular.html#a5e2b49c56b57abc2ac2005e330ef1ee7" title=" " alt="" coords="566,709,715,749"/>
<area shape="poly" title=" " alt="" coords="831,657,748,699,715,711,713,706,746,694,829,653"/>
<area shape="rect" href="class_q_custom_plot.html#adc24846f52199e5a9bc35c387a6ce68d" title=" " alt="" coords="279,795,471,835"/>
<area shape="poly" title=" " alt="" coords="850,661,809,714,780,741,748,763,698,780,627,793,472,811,471,806,626,788,697,775,745,758,777,737,805,710,846,658"/>
<area shape="rect" href="class_q_custom_plot.html#a8068b368e5813065ee0f4cf7c6d21330" title=" " alt="" coords="557,888,724,913"/>
<area shape="poly" title=" " alt="" coords="860,662,848,709,827,767,794,827,773,854,748,877,726,891,723,886,745,873,769,850,790,824,822,765,843,707,855,661"/>
<area shape="rect" href="class_q_custom_plot.html#ac13c10fff6613e3e80e13c787b010838" title=" " alt="" coords="549,823,732,863"/>
<area shape="poly" title=" " alt="" coords="854,662,814,733,784,772,748,807,716,826,713,821,745,803,780,769,809,730,849,660"/>
<area shape="rect" href="class_q_custom_plot.html#ac10849411e1d0e858ea7f29c8ade364c" title=" " alt="" coords="286,977,465,1017"/>
<area shape="poly" title=" " alt="" coords="865,662,861,728,845,815,830,861,810,904,783,944,748,977,716,998,680,1012,643,1022,605,1027,530,1027,462,1019,463,1014,530,1022,604,1022,642,1016,679,1007,713,993,745,973,779,941,805,902,825,859,840,814,856,728,860,662"/>
<area shape="rect" href="class_q_custom_plot.html#a5508a207dcc279f316142f96d984bba3" title=" " alt="" coords="269,1041,481,1067"/>
<area shape="poly" title=" " alt="" coords="861,662,847,747,823,859,808,915,790,965,770,1005,748,1032,729,1043,703,1051,635,1061,558,1064,482,1063,482,1057,558,1059,635,1056,701,1046,727,1038,745,1028,766,1002,785,963,802,913,818,858,842,746,856,661"/>
<area shape="rect" href="class_q_custom_plot.html#a3c1c171f620ef0ea4ae3dbb2e6a0209a" title=" " alt="" coords="549,1089,733,1115"/>
<area shape="poly" title=" " alt="" coords="862,662,847,753,823,876,790,994,770,1040,749,1072,719,1092,716,1087,745,1068,765,1037,784,992,817,874,842,752,856,661"/>
<area shape="rect" href="class_q_c_p_layer.html#adefd53b6db02f470151c416f42e37180" title=" " alt="" coords="581,937,701,963"/>
<area shape="poly" title=" " alt="" coords="863,662,854,718,834,790,819,828,800,864,777,898,748,928,726,942,702,949,700,944,724,937,745,924,773,895,796,862,814,825,829,788,849,717,858,661"/>
<area shape="rect" href="class_q_custom_plot.html#af5b69dc6a431562ecdd1d0718bcbdf70" title=" " alt="" coords="554,203,727,228"/>
<area shape="poly" title=" " alt="" coords="861,609,858,536,843,437,828,384,808,333,780,284,745,243,726,230,729,226,748,239,785,281,813,330,833,383,848,436,863,536,866,609"/>
<area shape="rect" href="class_velocity_graph.html#a6f38fb49ed1209990c97f6753c35ed52" title="Aktualizuje dane na wykresie i przesuwa osie zgodnie z czasem." alt="" coords="549,253,733,293"/>
<area shape="poly" title=" " alt="" coords="858,609,851,548,832,467,818,424,799,382,774,343,745,308,727,295,730,291,748,304,779,339,803,379,823,422,837,465,856,547,864,609"/>
<area shape="rect" href="class_q_c_p_axis.html#aa850f195d7cc470c53809d0fff5e444d" title=" " alt="" coords="567,317,715,343"/>
<area shape="poly" title=" " alt="" coords="857,610,847,556,827,488,813,452,794,417,772,385,745,357,714,341,716,336,748,353,776,382,799,414,818,450,832,486,852,555,862,609"/>
<area shape="rect" href="class_q_c_p_axis_rect.html#a93eeaa0c127d6d6fe8171b2455080262" title=" " alt="" coords="553,367,728,392"/>
<area shape="poly" title=" " alt="" coords="855,610,842,566,820,510,789,454,768,429,745,407,724,394,727,390,748,403,772,425,793,451,825,508,847,564,860,609"/>
<area shape="rect" href="class_q_c_p_polar_axis_radial.html#ab495743f9f7412a109af0b0065a7b9ae" title=" " alt="" coords="570,417,711,457"/>
<area shape="poly" title=" " alt="" coords="849,611,810,541,780,503,745,471,710,453,713,448,748,466,784,500,814,538,854,609"/>
<area shape="rect" href="class_q_c_p_polar_axis_angular.html#a78f5d8c2c942fa1c47dcef5d96616e8d" title=" " alt="" coords="566,481,715,521"/>
<area shape="poly" title=" " alt="" coords="840,614,799,575,745,536,715,522,717,517,748,532,802,571,844,611"/>
<area shape="poly" title=" " alt="" coords="535,835,471,828,472,823,536,830"/>
<area shape="rect" href="class_q_custom_plot.html#a0c09f96df15faa4799ad7051bb16cf33" title=" " alt="" coords="8,984,213,1009"/>
<area shape="poly" title=" " alt="" coords="272,999,214,999,214,994,272,994"/>
<area shape="rect" href="class_q_custom_plot.html#a810ef958ebe84db661c7288b526c0deb" title=" " alt="" coords="21,1034,200,1074"/>
<area shape="poly" title=" " alt="" coords="273,1021,201,1037,200,1032,272,1016"/>
<area shape="poly" title=" " alt="" coords="302,1041,169,1012,171,1007,303,1036"/>
<area shape="poly" title=" " alt="" coords="256,1057,200,1057,200,1051,256,1051"/>
<area shape="poly" title=" " alt="" coords="568,965,465,984,464,978,567,960"/>
<area shape="rect" href="class_q_c_p_selection_rect.html#a95c3f1700be2a6d7bba0fe56ece5fbb1" title=" " alt="" coords="264,927,487,952"/>
<area shape="poly" title=" " alt="" coords="567,950,487,946,487,941,567,944"/>
<area shape="rect" href="class_q_custom_plot.html#ae7abdc93b26d2ad4632c1ab75ae5b46f" title=" " alt="" coords="5,927,216,952"/>
<area shape="poly" title=" " alt="" coords="250,942,216,942,216,937,250,937"/>
<area shape="rect" href="class_main_window.html#a29e2501ffde7ab9786bd5ab02f055550" title="Aktualizuje dane w każdym widgecie." alt="" coords="282,260,469,285"/>
<area shape="poly" title=" " alt="" coords="535,275,469,275,469,270,535,270"/>
<area shape="rect" href="class_main_window.html#ab956ae0fe06c20af5093977debac8047" title="Inicjalizuje obiekt klasy MainWindow." alt="" coords="23,260,199,285"/>
<area shape="poly" title=" " alt="" coords="269,275,199,275,199,270,269,270"/>
</map>
</div>

</div>
</div>
<h2 class="groupheader">Dokumentacja zmiennych</h2>
<a id="a07ffa1eb1537a3b1f218ff2a442b2017" name="a07ffa1eb1537a3b1f218ff2a442b2017"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a07ffa1eb1537a3b1f218ff2a442b2017">&#9670;&#160;</a></span>staticMetaObject</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const QMetaObject QCP::staticMetaObject</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">extern</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespace_q_c_p.html">QCP</a></li>
    <li class="footer">Wygenerowano przez <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.7 </li>
  </ul>
</div>
</body>
</html>
